tbb::internal::stack_size_control Class Reference
Inheritance diagram for tbb::internal::stack_size_control:
Collaboration diagram for tbb::internal::stack_size_control:

## Private Member Functions

virtual size_t | default_value () const __TBB_override
virtual void | apply_active () const __TBB_override

## Additional Inherited Members

Public Attributes inherited from tbb::internal::padded_base< T, S, R >
char | pad [S - R]

## Detailed Description

Definition at line 496 of file tbb_main.cpp.

## Member Function Documentation

## apply_active()

virtual void tbb::internal::stack_size_control::apply_active | ( |  | ) | const

inline private virtual

Definition at line 500 of file tbb_main.cpp.

{
#if __TBB_WIN8UI_SUPPORT && (_WIN32_WINNT < 0x0A00)
__TBB_ASSERT( false, "For Windows 8 Store* apps we must not set stack size" );
#endif
}
__TBB_ASSERT
#define __TBB_ASSERT(predicate, comment)
No-op version of __TBB_ASSERT.
Definition: tbb_stddef.h:165

References __TBB_ASSERT.

## default_value()

virtual size_t tbb::internal::stack_size_control::default_value | ( |  | ) | const

inline private virtual

Definition at line 497 of file tbb_main.cpp.

{
return tbb::internal::ThreadStackSize;
}
tbb::internal::ThreadStackSize
const size_t ThreadStackSize
Definition: tbb_misc.h:54

References tbb::internal::ThreadStackSize.

The documentation for this class was generated from the following file:

- tbb_main.cpp

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.